/************************************************************************/
/* Program/Script   : Scan.Cmd                                          */
/* Description      : Scans Msg-Areas for outgoing Mails                */
/************************************************************************/

SIGNAL ON ERROR    NAME errorhandler
SIGNAL ON FAILURE  NAME errorhandler
SIGNAL ON HALT     NAME errorhandler
SIGNAL ON NOVALUE  NAME errorhandler
SIGNAL ON SYNTAX   NAME errorhandler
SIGNAL ON NOTREADY NAME errorhandler

/***********************/
/* loading System-     */
/* functions           */
/***********************/
call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
call SysLoadFuncs

/***********************/
/* global Vars.        */
/***********************/
AdeptRootPath   = 'C:\Adept'
AdeptCtlPath    = 'C:\Adept\Mailer'
CtlFileName     = 'GateKpr.Ctl'
KeeperFlags     = 'A'

/***********************************************************/
/* Main                                                    */
/***********************************************************/
curdir = directory(AdeptRootPath)
'@'AdeptRootPath || '\GateKpr.Exe' AdeptCtlPath || '\' || CtlFileName KeeperFlags
call directory curdir

exit 0

/**************************************************************************/
/* Funktion       : errorhandler                                          */
/* Beschreibung   : if script traps, this function handles it             */
/**************************************************************************/
errorhandler:

  say ""
  say ""
  say ""
  say "Error in Line  :" sigl
  say "ErrorCode      :" errortext(rc)
  say "Source-Line    :" "`"sourceline(sigl)"`"
  say ""
  say ""
  say "Press Enter to Exit ..."
  parse pull
  exit rc

